# _*_ coding:utf-8 _*_
_author_ = 'wenxin'
_date_ = '2020/6/11 11:03'
import requests
import allure
import pytest
from common import getHeader
from common.getData import DoExcelByPandas

@allure.feature('系统设置')
class TestSystem():
    parametrize = DoExcelByPandas().get_data_for_pytest('./data/data.xlsx', 'Sheet1')
    @pytest.mark.parametrize('id,url,data,story,method,severity,condition,except_result',parametrize)
    def test(self,id,url,data,story,method,severity,condition,except_result):  # test开头的测试函数
        headers = getHeader.get_Header()
        url =  url
        json = eval(data)
        if method == 'post':
            r = requests.post(url = url,json = json,headers = headers)
            response = r.json()
            assert response[condition] == except_result   # 断言成功




    # @allure.story('获取用户列表')
    # @allure.severity('critical')
    # def test_getUser(self):
    #     headers = getHeader.get_Header()
    #     url = config.url + '/web/user/queryUserPages'
    #     json = {"pageNum":1,"pageSize":10,"deptCode":"650000000000"}
    #     r = requests.post(url=url, json=json,headers = headers)
    #     assert ( r.json()['result']['list'][0]['userCode']) == '000000'
    #
    # @allure.story('获取角色列表')
    # @allure.severity('critical')
    # def test_getRole(self):
    #     headers = getHeader.get_Header()
    #     url = config.url + '/web/role/queryRolePageByCurUser'
    #     json = {"pageNum":1,"pageSize":10}
    #     r = requests.post(url=url, json=json,headers = headers)
    #     assert r.json()['result']['list'][0]['roleCode'] == '001002'
    #
    # @allure.story('获取部门列表')
    # @allure.severity('critical')
    # def test_getDepartment(self):
    #     headers = getHeader.get_Header()
    #     url = config.url + '/web/dept/queryByDeptCode'
    #     json = {"deptCode":"650000000000"}
    #     r = requests.post(url=url, json=json, headers=headers)
    #     assert r.json()['result']['deptCode'] == '650000000000'
    #
    # @allure.story('获取意见反馈列表')
    # @allure.severity('critical')
    # def test_getFeedback(self):
    #     headers = getHeader.get_Header()
    #     url = config.url + '/web/feedback/list'
    #     json = {"pageSize":10,"pageNum":1,"total":0,"pages":0,"userName":"","deptCode":""}
    #     r = requests.post(url=url,json=json,headers=headers)
    #     assert r.json()['result']['list'][0]['userCode'] == '999999'



